
terra = {}
terra.x = 100
terra.y = 80
terra.radius = 200
terra.segments = 100
aparece = 1

function terra.spawn(x, y)
	table.insert(terra,{x = x, y = y,radius = terra.radius, segments = terra.segments})
end


function terra_draw()
     for i,v in ipairs(terra) do
     	love.graphics.setColor(0,82,math.random(121,110))
     	love.graphics.circle('fill', v.x,v.y, v.radius,v.segments)
        love.graphics.setColor(255,math.random(170,255),math.random(10,128))
     	love.graphics.circle('line', v.x,v.y, v.radius,v.segments)
    end
end

function terra.fisica(dt)
	for i,v in ipairs(terra) do
	v.y = v.y + 0.005 * dt

	if v.y > 850 then
		aparece = 2
        v.y = - 100
	end
  end
end

sol = {}

sol.x = 100
sol.y = 80
sol.radius = 30
sol.segments = 100

function sol.spawn(x, y)
	table.insert(sol,{x = x, y = y,radius = sol.radius, segments = sol.segments})
end


function sol_draw()
     for i,v in ipairs(sol) do
     	love.graphics.setColor(255,math.random(170,255),math.random(10,128))
     	love.graphics.circle('fill', v.x,v.y, v.radius,v.segments)
     	love.graphics.setColor(255,math.random(10,25),math.random(10,8), math.random(10,150))
     	love.graphics.circle('line', v.x,v.y, v.radius,v.segments)
end
end

function sol.fisica(dt)
	
 for i,v in ipairs(sol) do

 	v.y = v.y + 0.005 * dt
 	v.radius = v.radius - 0.000005 * dt
 	if v.radius >= 300 then v.radius = 300 end	
end
end
	
---------------------Estrelas-------------------------
estrelas = {}

estrelas.x = 0
estrelas.y = 300
estrelas.width = 2
estrelas.height = 3
estrelas.speed = 2900
estrelas.xvel = 10
estrelas.yvel = 10
estrelas.friction = 0.1
estrelas.timer = 1
estrelas.timerLim = math.random(1,2)
estrelas.amount = 10


function estrelas.spawn(x, y)
	table.insert(estrelas,{x = x, y = y, yvel = math.random(5,100), width = estrelas.width, height = estrelas.height})
end

function estrelas.gerador(dt)
  estrelas.timer = estrelas.timer + dt
	for i = 1, estrelas.amount do
		estrelas.spawn(math.random(0,400), math.random(0,10))
	end
	estrelas.amount = math.random(0.01,0.09)
	estrelas.timerLim = math.random(0,2)
	estrelas.timer = 0
end

function estrelasDraw()
     for i,v in ipairs(estrelas) do
     	love.graphics.setColor(math.random(100,255),math.random(50,255),math.random(55,55),math.random(150,200))
	    love.graphics.circle('fill', v.x, v.y, v.width, v.height)
        love.graphics.setColor(math.random(0,255),math.random(0),math.random(0,255),math.random(150,250))
	    love.graphics.rectangle('line', v.x + math.random(00,500), v.y + math.random(0,900), v.width, v.height)
     end
end

function estrelas.fisica(dt)
	 for i,v in ipairs(estrelas) do
		v.y = v.y + v.yvel * dt 
	    if v.y > math.random(460, 850) then 
	    	v.y = v.y - v.yvel * dt 
	    	if v.y > math.random(100,1000) then
	         	table.remove(estrelas, i)
	         end
    end
  end
end

-------------------------Power ups--------------------------

power_up = {}

power_up.x = 0
power_up.y = 0
power_up.width = 10
power_up.height = 20
power_up.speed = 0.5
power_up.pego = false
power_up.amount = 0
power_up.timerLim = 0
power_up.timer = 0

function power_up.spawn(x, y)
	table.insert(power_up,{x = x, y = y, width = power_up.width, height = power_up.height})
end


function power_up_draw()
     for i,v in ipairs(power_up) do
	    love.graphics.setColor(math.random(100,155),math.random(50,255),math.random(155,255))
	    love.graphics.circle('fill', v.x,v.y, v.width, v.height)
     end
end

function power_up.fisica(dt)
   for i,v in ipairs(power_up) do
	v.y = v.y + power_up.speed + dt 
  end
end

function power_up_pego(dt)
	if estaVivo and gamestate == "playing" then
		for i,v in ipairs(power_up) do
		   if detectaColisao(v.x,v.y,v.width,v.height,
		   jogador.x - (jogadorImagem:getWidth()/2),jogador.y,jogadorImagem:getWidth(),jogadorImagem:getHeight()) then
                  power_up.pego = true
                  SomPowerUp:play()
                  SomPowerUp:setVolume(20)
                  table.remove(power_up,i)
		          especialWidth = especialWidth + 15
		          if especialWidth >= 150 then especialWidth = 150 end
		          if especialWidth == 150 then balas.especial = true end       
           end
		end
	end
end

function power_up.gerador(dt)
  power_up.timer = power_up.timer + dt
	for i = 1, power_up.amount do
		power_up.spawn(math.random(0,400), math.random(50,400))
	end

	power_up.amount = math.random(0,0.007)
	power_up.timerLim = math.random(1000,20000)
	power_up.timer = 0
end





